# AndcultureCode.JavaScript.Testing

[![Build Status](https://travis-ci.org/AndcultureCode/AndcultureCode.JavaScript.Testing.svg?branch=master)](https://travis-ci.org/AndcultureCode/AndcultureCode.JavaScript.Testing)
[![codecov](https://codecov.io/gh/AndcultureCode/AndcultureCode.JavaScript.Testing/branch/master/graph/badge.svg)](https://codecov.io/gh/AndcultureCode/AndcultureCode.JavaScript.Testing)<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-5-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

Commonly used actors for automated testing javascript applications

## Getting started

This package is installed via npm or yarn

```shell
# npm
npm install --save-dev andculturecode-javascript-testing

# yarn
yarn add andculturecode-javascript-testing --dev
```

From there you can import the variety of modules.

```typescript
import {
    AxiosResponseFactory,
    MockAxios,
} from "andculturecode-javascript-testing";
```

## Documentation

[Full API documentation](docs/README.md)

# Contributing

Information on contributing to this repo is in the [Contributing Guide](CONTRIBUTING.md)

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="http://www.winton.me/"><img src="https://avatars.githubusercontent.com/u/48424?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Winton DeShong</b></sub></a><br /><a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/commits?author=wintondeshong" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/brandongregoryscott"><img src="https://avatars.githubusercontent.com/u/11774799?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Brandon Scott</b></sub></a><br /><a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/commits?author=brandongregoryscott" title="Code">💻</a> <a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/commits?author=brandongregoryscott" title="Tests">⚠️</a></td>
    <td align="center"><a href="https://github.com/vansosnin"><img src="https://avatars.githubusercontent.com/u/8207551?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Ivan Sosnin</b></sub></a><br /><a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/commits?author=vansosnin" title="Code">💻</a> <a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/commits?author=vansosnin" title="Tests">⚠️</a></td>
    <td align="center"><a href="https://github.com/jhugs"><img src="https://avatars.githubusercontent.com/u/14300627?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Joshua Hughes</b></sub></a><br /><a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/pulls?q=is%3Apr+reviewed-by%3Ajhugs" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/jstevenson"><img src="https://avatars.githubusercontent.com/u/91424?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Jim Stevenson</b></sub></a><br /><a href="https://github.com/AndcultureCode/AndcultureCode.JavaScript.Testing/pulls?q=is%3Apr+reviewed-by%3Ajstevenson" title="Reviewed Pull Requests">👀</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
