/// <reference types="jest" />
import { MockAxios as IMockAxios } from "./mock-axios";
/**
 * MockAxios is merely a typed wrapper around the dynamically
 * mocked __mocks__/axios implementation.
 */
declare type AxiosJestMock = jest.Mock<Promise<{
    data: {};
}>, []>;
interface MockAxios {
    delete: AxiosJestMock;
    /**
     * Simple way to mock a successful axios delete request
     * @param record value to return when resolved
     * @param delay milliseconds to delay before resolving the promise
     */
    deleteSuccess: (record?: any, delay?: number) => void;
    get: AxiosJestMock;
    /**
     * Simple way to mock a successful axios get/find request
     * @param record value to return when resolved
     * @param delay milliseconds to delay before resolving the promise
     */
    getSuccess: (record: any, delay?: number) => void;
    /**
     * Simple way to mock a successful axios get/list request
     * @param record value to return when resolved
     * @param delay milliseconds to delay before resolving the promise
     */
    listSuccess: (records: any[], delay?: number) => void;
    post: AxiosJestMock;
    /**
     * Simple way to mock a successful axios post request
     * @param record value to return when resolved
     * @param delay milliseconds to delay before resolving the promise
     */
    postSuccess: (record: any, delay?: number) => void;
    put: AxiosJestMock;
    /**
     * Simple way to mock a successful axios put request
     * @param record value to return when resolved
     * @param delay milliseconds to delay before resolving the promise
     */
    putSuccess: (record: any, delay?: number) => void;
}
declare const MockAxios: IMockAxios;
export { MockAxios };
