/**
 * Utility function for running a test body a certain number of times. Useful for ensuring specific
 * behavior on implementations that return randomized data and edge cases will not immediately be
 * exposed.
 *
 * @param {string} name Name of the test
 * @param {Function} fn Function body to run (can be asynchronous)
 * @param {number} [times=100] Number of times to run the test function.
 */
declare const testLoop: (name: string, fn: Function, times?: number) => void;
export { testLoop };
